Name:		rt61pci-firmware
Version:	1.2
Release:	4
Summary:	Firmware for Ralink® RT2561/RT2661 A/B/G network adaptors
Group:		System Environment/Kernel
License:	Redistributable, no modification permitted
URL:		http://www.ralinktech.com
Source0:	http://www.ralinktech.com.tw/data/RT61_Firmware_V%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Obsoletes: rt61-firmware < %{version}-%{release}
Provides: rt61-firmware = %{version}-%{release}


%description
This package contains the firmware required by the rt61pci driver for Linux.
Usage of the firmware is subject to the terms and conditions contained
inside the provided LICENSE.ralink-firmware.txt file.
Please read it carefully.


%prep
%setup -q -n RT61_Firmware_V%{version}
sed -i 's/\r//' LICENSE.ralink-firmware.txt

%build
# Nothing to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/firmware
install -pm 0644 *.bin $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE.ralink-firmware.txt
/lib/firmware/*


%changelog
* Mon Sep 17 2007 kwizart < kwizart at gmail.com > - 1.2-4
- Disable dist tag
- Preserve timestamp
- Add license from Ralink
- Improved summary and description

* Mon Mar 19 2007 kwizart < kwizart at gmail.com > - 1.2-3
- Update Source url (uses .com.tw instead of .com)
- Fix License field

* Mon Feb 26 2007 kwizart < kwizat at gmail.com > - 1.2-2
- Update the download link

* Tue Sep 13 2006 kwizart < kwizart at gmail.com > - 1.2-1_FC5
- inital release.
